Subject: Re: [PATCH net v3 2/2] igc: Modify the tx-usecs coalesce setting

From: Jakub Kicinski <[email-masked]>
Date: Tue, 5 Sep 2023 10:15:04 -0700

On Mon, 4 Sep 2023 00:59:40 +0000 Zulkifli, Muhammad Husaini wrote:
> However, if the user enters the same value for the tx-usecs and a
> different value for the rx-usecs, the command will succeed. . 
> Are you ok with it?

It's unfortunate, but strictly better than the alternative, AFACT.
In the ioctl uAPI we can't differentiate between params which were
echoed back to us vs those user set via CLI to what they already were.

Maybe we should extend the uAPI and add a "queue pair" IRQ moderation?